Bug 2092412 - "VMCannotBeEvicted" Alert on SNO for VMs from Common Templates
Summary: "VMCannotBeEvicted" Alert on SNO for VMs from Common Templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Virtualization
Version: 4.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.14.0
Assignee: ffossemo
QA Contact: Akriti Gupta
URL:
Whiteboard: Release pending https://issues.redhat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-01 13:35 UTC by Boriso
Modified: 2023-12-06 02:05 UTC (History)
7 users (show)

Fixed In Version: hco-bundle-registry-container-v4.14.0.rhel9-1115
Doc Type: Bug Fix
Doc Text:
Virtual machines created from common templates on a Single Node OpenShift (SNO) cluster no longer display a VMCannotBeEvicted alert when the cluster-level eviction strategy is None for SNO. (BZ#2092412)
Clone Of:
Environment:
Last Closed: 2023-11-08 14:05:03 UTC
Target Upstream Version:
Embargoed:
ctomasko: needinfo-


Attachments (Terms of Use)
"VMCannotBeEvicted" alert raised (143.38 KB, image/png)
2022-06-01 13:35 UTC, Boriso
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker CNV-18814 0 None None None 2022-06-08 15:11:24 UTC
Red Hat Product Errata RHSA-2023:6817 0 None None None 2023-11-08 14:05:28 UTC

Description Boriso 2022-06-01 13:35:09 UTC
Created attachment 1885800 [details]
"VMCannotBeEvicted" alert raised

Description of problem:
Currently when running on SNO, for VMs that are created using common templates, Alerts of "Warning Severity" with the name "VMCannotBeEvicted" will be raised.

Version-Release number of selected component (if applicable):
4.11

How reproducible:
100%

Steps to Reproduce:
1. On an SNO cluster
2. Create a VM from a common template with eviction strategy

Actual results:
An Alert "VMCannotBeEvicted" is raised

Expected results:
An Alert "VMCannotBeEvicted" should not be raised

Additional info:
This is a known issue, it will be fixed when "Cluster level eviction strategy" will be implemented, and we will remove the eviction strategy from the templates.

Comment 5 Kedar Bidarkar 2022-12-20 08:18:08 UTC
This issue is not resolved, please include the known issue in the 4.12 GA release notes, thanks!

Comment 6 ctomasko 2022-12-21 05:13:23 UTC
@aspauldi please add the known issue to the 4.12 release notes

Comment 7 Dominik Holler 2022-12-21 12:05:29 UTC
retarget to 4.14 to stay in sync with https://issues.redhat.com/browse/CNV-13720

Comment 10 sgott 2023-06-28 11:43:57 UTC
In that case can this BZ be moved to POST?

Comment 14 ctomasko 2023-10-10 05:06:01 UTC
Do not include as a known issue in the 4.14 release notes - issue is fixed for 4.14. Please work with the SME to add a description of the fix so that we can show that the known issue is now resolved. Thanks

Comment 15 Audrey Spaulding 2023-10-10 20:36:55 UTC
Removed from CNV 4.14 Release Notes Known issues section and added to Bug fix section. 
Jira: https://issues.redhat.com//browse/CNV-20106
PR: https://github.com/openshift/openshift-docs/pull/66054

Comment 17 errata-xmlrpc 2023-11-08 14:05:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Virtualization 4.14.0 Images security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2023:6817


Note You need to log in before you can comment on or make changes to this bug.